gr-baz Package

Classes | Typedefs | Functions
baz_music_doa.h File Reference
`#include <gnuradio/sync_block.h>`
`#include <vector>`
`#include <armadillo>`
`#include <gnuradio/thread/thread.h>`
Include dependency graph for baz_music_doa.h:

Go to the source code of this file.

## Classes
class | baz_music_doa

## Typedefs
typedef std::vector< gr_complex > | antenna_response_t
typedef std::vector< antenna_response_t > | array_response_t
typedef std::pair< double, double > | doa_t

## Functions
baz_music_doa_sptr | baz_make_music_doa (unsigned int m, unsigned int n, unsigned int nsamples, const array_response_t &array_response, unsigned int resolution)

## Typedef Documentation

## ◆ antenna_response_t

typedef std::vector<gr_complex> antenna_response_t

## ◆ array_response_t

typedef std::vector<antenna_response_t> array_response_t

## ◆ doa_t

typedef std::pair<double,double> doa_t

## Function Documentation

## ◆ baz_make_music_doa()

baz_music_doa_sptr baz_make_music_doa | ( | unsigned int | m,
|  | unsigned int | n,
|  | unsigned int | nsamples,
|  | const array_response_t & | array_response,
|  | unsigned int | resolution
| ) |  |